import { GraphQLSchema, ValidationContext, GraphQLFieldResolver } from 'graphql';
import { LogFunction } from './logging';
import { PersistedQueryCache } from './caching';
import { GraphQLExtension } from 'graphql-extensions';
export interface GraphQLServerOptions<TContext = (() => Promise<Record<string, any>> | Record<string, any>) | Record<string, any>> {
    schema: GraphQLSchema;
    formatError?: Function;
    rootValue?: any;
    context?: TContext;
    logFunction?: LogFunction;
    formatParams?: Function;
    validationRules?: Array<(context: ValidationContext) => any>;
    formatResponse?: Function;
    fieldResolver?: GraphQLFieldResolver<any, TContext>;
    debug?: boolean;
    tracing?: boolean;
    cacheControl?: boolean | any;
    extensions?: Array<() => GraphQLExtension>;
    persistedQueries?: PersistedQueryOptions;
}
export interface PersistedQueryOptions {
    cache: PersistedQueryCache;
}
export default GraphQLServerOptions;
export declare function resolveGraphqlOptions(options: GraphQLServerOptions | ((...args: Array<any>) => Promise<GraphQLServerOptions> | GraphQLServerOptions), ...args: Array<any>): Promise<GraphQLServerOptions>;
