export { runQuery } from './runQuery';
export { LogFunction, LogMessage, LogStep, LogAction } from './logging';
export { runHttpQuery, HttpQueryRequest, HttpQueryError } from './runHttpQuery';
export { default as GraphQLOptions, resolveGraphqlOptions, PersistedQueryOptions, } from './graphqlOptions';
export { ApolloError, toApolloError, SyntaxError, ValidationError, AuthenticationError, ForbiddenError, BadUserInputError, formatApolloErrors, } from './errors';
export { convertNodeHttpToRequest } from './nodeHttpToRequest';
export { ApolloServerBase } from './ApolloServer';
export * from './types';
import { DocumentNode } from 'graphql';
export declare const gql: (template: TemplateStringsArray, ...substitutions: any[]) => DocumentNode;
